Groovy 1.7.0

# Deprecated API

Interfaces
`ComponentFacade` A facade to an object which contains a component.
`ContainerFacade` A facade to an object to which components can be added.
`Startable` A simple lifecycle method called when an object is fully constructed.

Classes
`MethodIndex`
`TimeCategory` This class has been moved to a public (i.e. non org.codehaus.* package).

Methods
`DOMUtil#serialize(Element element)` Return a pretty version of the Element.
`DOMUtil#serialize(Element element, OutputStream os)` Write a pretty version of the Element to the OutputStream.
`GroovyClassLoader#parseClass(InputStream in)` Parses the given character stream into a Java class capable of being run
`GroovyClassLoader#parseClass(InputStream in, String fileName)`
`GroovyCodeSource#getInputStream()`
`InvokerHelper#getVersion()`
`ModuleNode#addImportPackage(String packageName)`
`ModuleNode#addStaticImportClass(String name, ClassNode type)`
`ModuleNode#addStaticMethodOrField(ClassNode type, String fieldName, String alias)`
`ModuleNode#getImportPackages()`
`ModuleNode#getStaticImportAliases()`
`ModuleNode#getStaticImportClasses()`
`ModuleNode#getStaticImportFields()`
`TableLayout#getComponent()`

Constructors
`GroovyCodeSource#GroovyCodeSource(InputStream inputStream, String name, String codeBase)` Construct a GroovyCodeSource for an inputStream of groovyCode that has an unknown provenance -- meaning it didn't come from a File or a URL (e.g.

Copyright © 2003-2009 The Codehaus. All rights reserved.